from django import template
from django.utils.safestring import mark_safe
register = template.Library()

def make_li(value):
    lines = value.split("\n")
    ret = ''
    for l in lines:
        if l.strip() != '':
            ret += "<li>%s</li>" % l
    return mark_safe(ret)

register.filter("make_li", make_li)
